data:extend(
{
  {
    type = "technology",
    name = "belts-1",
	icon = "__MoreBelts__/graphics/icons/tech-1.png",
	icon_size = 128,
	effects =
    {
      {		
		type = "unlock-recipe",
        recipe = "basic-transport-belt-to-ground-extended-1"
      }
    },
	prerequisites = {"logistics"},
    unit =
    {
      count = 30,
      ingredients = {{"science-pack-1", 1}},
      time = 15
    },
    order = "a-f-a",
  },
  {
    type = "technology",
    name = "belts-2",
	icon = "__MoreBelts__/graphics/icons/tech-1.png",
	icon_size = 128,
	effects =
    {
      {	
		type = "unlock-recipe",
        recipe = "fast-transport-belt-to-ground-extended-1"
      }
    },
	prerequisites = {"logistics-2", "belts-1"},
    unit =
    {
      count = 30,
      ingredients = {{"science-pack-2", 1}},
      time = 15
    },
    order = "a-f-a",
  },
  {
    type = "technology",
    name = "belts-3",
	icon = "__MoreBelts__/graphics/icons/tech-1.png",
	icon_size = 128,
	effects =
    {
      {	
		type = "unlock-recipe",
        recipe = "express-transport-belt-to-ground-extended-1"
      }
    },
	prerequisites = {"logistics-3", "belts-2"},
    unit =
    {
      count = 30,
      ingredients = {{"science-pack-3", 1}},
      time = 20
    },
    order = "a-f-a",
  },
  {
    type = "technology",
    name = "belts-4",
	icon = "__MoreBelts__/graphics/icons/tech-2.png",
	icon_size = 128,
	effects =
    {
      {		
		type = "unlock-recipe",
        recipe = "basic-transport-belt-to-ground-extended-2"
      }
    },
	prerequisites = {"belts-1"},
    unit =
    {
      count = 60,
      ingredients = {{"science-pack-1", 1}},
      time = 30
    },
    order = "a-f-a",
  },
  {
    type = "technology",
    name = "belts-5",
	icon = "__MoreBelts__/graphics/icons/tech-2.png",
	icon_size = 128,
	effects =
    {
      {	
		type = "unlock-recipe",
        recipe = "fast-transport-belt-to-ground-extended-2"
      }
    },
	prerequisites = {"belts-2", "belts-4"},
    unit =
    {
      count = 60,
      ingredients = {{"science-pack-2", 1}},
      time = 30
    },
    order = "a-f-a",
  },
  {
    type = "technology",
    name = "belts-6",
	icon = "__MoreBelts__/graphics/icons/tech-2.png",
	icon_size = 128,
	effects =
    {
      {	
		type = "unlock-recipe",
        recipe = "express-transport-belt-to-ground-extended-2"
      }
    },
	prerequisites = {"belts-3", "belts-5"},
    unit =
    {
      count = 60,
      ingredients = {{"science-pack-3", 1}},
      time = 30
    },
    order = "a-f-a",
  },
  {
    type = "technology",
    name = "belts-7",
	icon = "__MoreBelts__/graphics/icons/tech-3.png",
	icon_size = 128,
	effects =
    {
      {		
		type = "unlock-recipe",
        recipe = "basic-transport-belt-to-ground-extended-3"
      }
    },
	prerequisites = {"belts-4"},
    unit =
    {
      count = 120,
      ingredients = {{"science-pack-1", 1}},
      time = 60
    },
    order = "a-f-a",
  },
  {
    type = "technology",
    name = "belts-8",
	icon = "__MoreBelts__/graphics/icons/tech-3.png",
	icon_size = 128,
	effects =
    {
      {	
		type = "unlock-recipe",
        recipe = "fast-transport-belt-to-ground-extended-3"
      }
    },
	prerequisites = {"belts-5", "belts-7"},
    unit =
    {
      count = 120,
      ingredients = {{"science-pack-2", 1}},
      time = 60
    },
    order = "a-f-a",
  },
  {
    type = "technology",
    name = "belts-9",
	icon = "__MoreBelts__/graphics/icons/tech-3.png",
	icon_size = 128,
	effects =
    {
      {	
		type = "unlock-recipe",
        recipe = "express-transport-belt-to-ground-extended-3"
      }
    },
	prerequisites = {"belts-6", "belts-8"},
    unit =
    {
      count = 120,
      ingredients = {{"science-pack-3", 1}},
      time = 60
    },
    order = "a-f-a",
  },
}
)